{
  lib,
  config,
  pkgs,
  ...
}:
{
  # Copy search engine configuration script
  home.file.".local/bin/brave-search-engines.sh" = {
    source = ./brave-search-engines.sh;
    executable = true;
  };

  # Run search engine configuration script
  home.activation = {
    setBraveSearchEngines = lib.hm.dag.entryAfter [ "writeBoundary" ] ''
      PATH="${pkgs.procps}/bin:${pkgs.sqlite}/bin:$PATH" $HOME/.local/bin/brave-search-engines.sh
    '';
  };
}
